Bug 1552210 - [ceph-ansible] [ceph-container] : failed to add new mgr with '--limit' option - trying to copy mgr keyring without generating
Summary: [ceph-ansible] [ceph-container] : failed to add new mgr with '--limit' option...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 3.3
Assignee: Guillaume Abrioux
QA Contact: Vasishta
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1494421 1544643 1726135
TreeView+ depends on / blocked
 
Reported: 2018-03-06 16:53 UTC by Vasishta
Modified: 2019-12-19 17:59 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.30-1.el7cp Ubuntu: ceph-ansible_3.2.30-2redhat1
Doc Type: Bug Fix
Doc Text:
.Adding a new Ceph Manager node will no longer fail when using the Ansible `limit` option Previously, adding a new Ceph Manager to an existing storage cluster when using the `limit` option would fail the Ansible playbook. With this release, you can now use the `limit` option when adding a new Ceph Manager and the newly generated keyring to be copied successfully.
Clone Of:
Environment:
Last Closed: 2019-12-19 17:58:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
File contains contents of ansible-playbook log (1.17 MB, text/plain)
2018-03-06 16:53 UTC, Vasishta
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4531 'None' closed ceph-mgr: create keys for MGRs 2020-04-24 18:30:15 UTC
Red Hat Product Errata RHSA-2019:4353 None None None 2019-12-19 17:59:11 UTC

Description Vasishta 2018-03-06 16:53:24 UTC
Created attachment 1404942 [details]
File contains contents of ansible-playbook log

Description of problem:
After upgrading containerized cluster from 3.0 to 3.0.z1, tried to add new mgr with --limit option. ansible-playbook failed trying to copy new mgr's keyring without generating

Version-Release number of selected component (if applicable):
ceph-ansible-3.0.27-1.el7cp.noarch

How reproducible:
Always (1/1)

Steps to Reproduce:
1. Configure containerized cluster.
2. Add new mgr with limit option to limit configuration to mgrs while running playbook.

Actual results: (magna035 had existing mgr, new mgr was planned to be configured on magna036)
TASK [ceph-mgr : copy mgr key to /var/lib/ceph/mgr/ondu-magna035/keyring] *************************
"stderr": "cp: cannot stat ‘/etc/ceph/ondu.mgr.magna036.keyring’: No such file or directory", "stderr_lines": ["cp: cannot stat ‘/etc/ceph/ondu.mgr.magna036.keyring’: No such file or directory"]

Expected results:
Playbook must complete its run with successfully configuring new mgr

Additional info:
Though it was time consuming, Without using limit option, mgr could be added successfully.

Comment 3 Giridhar Ramaraju 2019-08-05 13:11:35 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 4 Giridhar Ramaraju 2019-08-05 13:12:33 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 11 errata-xmlrpc 2019-12-19 17:58:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:4353


Note You need to log in before you can comment on or make changes to this bug.